<?php
/**
 * @copyright   Copyright (c) 2010-2013 Mediaparts Interactive. All rights reserved.
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl.html
 */

defined('_JEXEC') or die('Restricted access');	// No direct access

error_reporting(E_ERROR);

$jversion = new JVersion();
$joomla15 = version_compare($jversion->getShortVersion(), '1.6', '<') ? true : false;


jimport('joomla.installer.installer');
jimport('joomla.installer.helper');

$installer = new JInstaller();

$installer_path = JPATH_ADMINISTRATOR.'/components/com_globalflashgalleriesinstaller';
$packages_path = $installer_path.'/packages';

$packages = array(
	'com_globalflashgalleries.zip' => 'Global Flash Galleries Component',
	'plg_globalflashembed.zip' => 'Global Flash Embed Plugin',
	'mod_globalflashgallery.zip' => 'Global Flash Gallery Module'
);

foreach ($packages as $package_file => $package_name)
{
	$package = JInstallerHelper::unpack( $packages_path.'/'.$package_file );

	if ( $installer->install($package['dir']) )
		echo "<div style='color:#090;'>{$package_name} successfully installed.</div>\n";
	else
		echo "<div style='color:#c00;'>ERROR: Could not install the {$package_name}.</div>\n";

	JInstallerHelper::cleanupInstall( $packages_path.'/'.$package_file, $package['dir'] );
}


$db =& JFactory::getDBO();

if ($joomla15)	// Joomla 1.5.x
{
	// Enable Global Flash Embed Plugin
	$db->setQuery("UPDATE #__plugins SET published = 1 WHERE element = 'globalflashembed'");
	$db->query();
}
else	// Joomla 1.6 and newer
{
	// Enable Global Flash Embed Plugin
	$db->setQuery("UPDATE #__extensions SET enabled = 1 WHERE element = 'globalflashembed'");
	$db->query();
}

// Enable Global Flash Gallery Module
$db->setQuery("UPDATE #__modules SET published = 1 WHERE module = 'mod_globalflashgallery'");
$db->query();

// Uninstall this installer
if ($joomla15):
?>
	<script type="text/javascript">//<![CDATA[
	(function() {
		var request = new Ajax('<?php echo JURI::base(); ?>index.php', {
			method: 'get',
			data: {
				option: 'com_globalflashgalleriesinstaller',
				task: 'remove'
			},
			onComplete: function(response) {
			}
		}).request();
	})();
	//]]></script>
<?php
else:
?>
	<script type="text/javascript">//<![CDATA[
	(function() {
		var request = new Request({
			url: '<?php echo JURI::base(); ?>index.php',
			method: 'get',
			data: {
				option: 'com_globalflashgalleriesinstaller',
				task: 'remove'
			},
			onComplete: function(response) {
			}
		}).send();
	})();
	//]]></script>
<?php
endif;
