<?php
/**
 * @copyright   Copyright (c) 2012 Mediaparts Interactive. All rights reserved.
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl.html
 */

class com_globalflashgalleriesinstallerInstallerScript
{
	/**
	 * Constructor
	 *
	 * @param   JAdapterInstance  $adapter  The object responsible for running this script
	 */
	function __constructor($adapter) {
	}

	/**
	 * Called before any type of action
	 *
	 * @param   string  $route  Which action is happening (install|uninstall|discover_install)
	 * @param   JAdapterInstance  $adapter  The object responsible for running this script
	 *
	 * @return  boolean  True on success
	 */
	function preflight($route, $adapter) {
	}

	/**
	 * Called after any type of action
	 *
	 * @param   string  $route  Which action is happening (install|uninstall|discover_install)
	 * @param   JAdapterInstance  $adapter  The object responsible for running this script
	 *
	 * @return  boolean  True on success
	 */
	function postflight($route, $adapter) {
	}

	/**
	 * Called on installation
	 *
	 * @param   JAdapterInstance  $adapter  The object responsible for running this script
	 *
	 * @return  boolean  True on success
	 */
	function install($adapter) {
		$this->update($adapter);
	}

	/**
	 * Called on update
	 *
	 * @param   JAdapterInstance  $adapter  The object responsible for running this script
	 *
	 * @return  boolean  True on success
	 */
	function update($adapter) {
		error_reporting(E_ERROR);

		jimport('joomla.installer.installer');
		jimport('joomla.installer.helper');

		$installer = new JInstaller();

		$installer_path = JPATH_ADMINISTRATOR.'/components/com_globalflashgalleriesinstaller';
		$packages_path = $installer_path.'/packages';

		$packages = array(
			'com_globalflashgalleries.zip' => 'Global Flash Galleries Component',
			'plg_globalflashembed.zip' => 'Global Flash Embed Plugin',
			'mod_globalflashgallery.zip' => 'Global Flash Gallery Module'
		);

		foreach ($packages as $package_file => $package_name)
		{
			$package = JInstallerHelper::unpack( $packages_path.'/'.$package_file );

			if ( $installer->install($package['dir']) )
				echo "<div style='color:#090;'>{$package_name} successfully installed.</div>\n";
			else
				echo "<div style='color:#c00;'>ERROR: Could not install the {$package_name}.</div>\n";

			JInstallerHelper::cleanupInstall( $packages_path.'/'.$package_file, $package['dir'] );
		}

		$db =& JFactory::getDBO();

		// Enable Global Flash Embed Plugin
		$db->setQuery("UPDATE #__extensions SET enabled = 1 WHERE element = 'globalflashembed'");
		$db->query();

		// Enable Global Flash Gallery Module
		$db->setQuery("UPDATE #__modules SET published = 1 WHERE module = 'mod_globalflashgallery'");
		$db->query();

		// Uninstall this installer
?>
		<script type="text/javascript">//<![CDATA[
			(function() {
				var request = new Request({
					url: '<?php echo JURI::base(); ?>index.php',
					method: 'get',
					data: {
						option: 'com_globalflashgalleriesinstaller',
						task: 'remove'
					},
					onComplete: function(response) {
					}
				}).send();
			})();
		//]]></script>
<?php
	}

	/**
	 * Called on uninstallation
	 *
	 * @param   JAdapterInstance  $adapter  The object responsible for running this script
	 */
	function uninstall($adapter) {
	}
}
